/*This file aggregates the index of multiple deprevation (IMD) to MSOA. The IMD provided by the ONS is at the LSOA level. 
The aggregated value reflects the means for all LSOAs within an MSOA. The mean IMD is then normalised to a value between 0 and 100, 
where larger values correspond to higher levels of deprivation */ 

preserve

clear

insheet using "$directory\IMD_byLSOA.csv", name

merge 1:1 lsoa11cd using "$directory\LSOAtoLA", keepusing(msoa11cd)

collapse (mean) imd19, by(msoa11cd) 
gen IMD = 100 - 100*imd19/32844

save "$directory\IMD_byMSOA", replace
 
restore
