** This file uses information from the UK Labour Force Survey to create our homeworking index at various levels of aggregation
** To run this files users will be requried to access the following LFS files from UK Data Service (files are publically available, but users must register before downloading)
** 8195, 8235, 8292, 8326, 8343, 8381, 8407, 8447, 8485, 8563, 8588, 8614, 8639, 8646, 8659, 8671, 8707, 8706, 8720, 8738, 8760, 8777
** Please note these files may not represent the latest versions of the LFS in cases where updates have been made by the ONS. 


clear
set more 1

**** Change this directory to the location of the replication files. Keep all files in the folder \final_public together.************************* 
global directory = "C:\Users\ec1jam\Dropbox\Geographic and Social Mobility\Covid\PublicData\PublicZoomshock\final_public"

**** Change this directory to the file in which LFS microdata is extracted. File paths should otherwise be as extratced from UK Data Service******
cd "C:\Users\ec1jam\Dropbox\Geographic and Social Mobility\UK_LFS\stata"  
**************************************************************************************************************************************************




use "UKDA-8195-stata11\stata11\lfsp_jm17_eul"


**** Variables that are used from LFS files
global Keep =  "SOC10M REFWKY REFWKM REFWKD GRSSWK HOURPAY TOTHRS TTACHR TTUSHR FTPTWK AGE SEX  GOR9D GORWKR PWT*"

keep $Keep

***2017 data
append using "UKDA-8235-stata11\stata11\lfsp_aj17_eul", keep($Keep)   /** Q2 2017  **/
append using "UKDA-8292-stata11\stata11\lfsp_js17_eul", keep($Keep)   /** Q3 2017  **/
append using "UKDA-8326-stata11\stata11\lfsp_od17_eul", keep($Keep)   /** Q4 2017  **/

***2018 data
append using "UKDA-8343-stata\stata\stata11\lfsp_jm18_eul_pwt17", keep($Keep)   /** Q1 2018  **/
append using "UKDA-8381-stata\stata\stata11\lfsp_aj18_eul_pwt17", keep($Keep)   /** Q2 2018  **/
append using "UKDA-8407-stata\stata\stata11\lfsp_js18_eul_pwt17", keep($Keep)   /** Q3 2018  **/
append using "UKDA-8447-stata\stata\stata11\lfsp_od18_end_user_pwt18", keep($Keep)   /** Q4 2018  **/

***2019 data
append using "UKDA-8485-stata-jan-mar-2019\stata\stata13\lfsp_jm19_eul_pwt18", keep($Keep)   /** Q1 2019  **/
append using "UKDA-8563-stata-apr-jun-2019\stata\stata13\lfsp_aj19_eul_pwt18", keep($Keep)   /** Q2 2019  **/		
append using "UKDA-8588-stata-jul-sep-2019\stata\stata11\lfsp_js19_eul", keep($Keep)   /** Q3 2019  **/		
append using "UKDA-8614-stata-oct-dec2019\stata\stata13\lfsp_od19_eul", keep($Keep)   /** Q4 2019  **/				

***2020 data
append using "UKDA-8639-stata-jan-mar-2020\stata\stata13\lfsp_jm20_eul_pwt18", keep($Keep)   /** W1 2020, Jan-Mar  **/							
append using "UKDA-8646-stata-feb-apr-2020\stata\stata13\lfsp_fa20_eul_pwt18", keep($Keep)   /** W2 2020, Feb-Apr  **/									
append using "UKDA-8659-stata\stata\stata13\lfsp_mm20_eul_pwt18", keep($Keep)   /** W3 2020, Mar-May  **/									
append using "UKDA-8671-stata\stata\stata13\lfsp_aj20_eul_pwt18", keep($Keep)   /** W4 2020, Apr-Jun  **/									
append using "UKDA-8707-stata\stata\stata13\lfsp_mj20_eul_pwt18", keep($Keep)   /** W5 2020, May-Jul  **/
append using "UKDA-8706-stata\stata\stata13\lfsp_ja20_eul_pwt18", keep($Keep)   /** W5 2020, Jun-Aug  **/
append using "UKDA-8720-stata\stata\stata13\lfsp_js20_eul_pwt18", keep($Keep)   /** W6 2020, Jul-Sep  **/
append using "UKDA-8738-stata\stata\stata13\lfsp_ao20_eul_pwt18", keep($Keep)   /** W7 2020, Aug-Oct  **/
append using "UKDA-8760-stata\stata\stata13\lfsp_sn20_eul_pwt18", keep($Keep)   /** W8 2020, Sep-Nov  **/
append using "UKDA-8777-stata\stata\stata13\lfsp_od20_eul_pwt18", keep($Keep)   /** W9 2020, Oct-Dec  **/
							
gen PWT = PWT17
	replace PWT = PWT18 if missing(PWT)							
	drop  PWT17 PWT18
	label var PWT "Weight"
	
drop if SOC10M<0

gen year = REFWKY
gen month = REFWKM
gen day = REFWKD

save "$directory\LFS_2017-2020.dta", replace
	
	
